//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Cafe_App.Models
{
    using System;
    using System.Collections.Generic;
    using System.Windows.Media.Imaging;

    public partial class Produk
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Produk()
        {
            this.DetailPembelians = new HashSet<DetailPembelian>();
            this.DetailPenjualans = new HashSet<DetailPenjualan>();
        }
    
        public int ID_Produk { get; set; }
        public string Nama { get; set; }
        public Nullable<decimal> HargaBeli { get; set; }
        public Nullable<decimal> HargaJual { get; set; }
        public Nullable<short> Stok { get; set; }
        public byte[] Image { get; set; }
    
    public BitmapImage ImageProduk
    {
        get
        {
            return ToImage(Image);
        }
    }

        public BitmapImage ToImage(byte[] array)
        {
            using (var ms = new System.IO.MemoryStream(array))
            {
                var image = new BitmapImage();
                image.BeginInit();
                image.CacheOption = BitmapCacheOption.OnLoad; // here
                image.StreamSource = ms;
                image.EndInit();
                return image;
            }
        }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DetailPembelian> DetailPembelians { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DetailPenjualan> DetailPenjualans { get; set; }
    }
}
